# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: definitions.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='definitions.proto',
  package='GavronTelem',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x11\x64\x65\x66initions.proto\x12\x0bGavronTelem\"B\n\x08Position\x12\x0b\n\x03lat\x18\x01 \x01(\x02\x12\x0b\n\x03lng\x18\x02 \x01(\x02\x12\x0b\n\x03\x61lt\x18\x03 \x01(\x02\x12\x0f\n\x07heading\x18\x04 \x01(\x02\"{\n\x16GavronTelemFrameHeader\x12\x11\n\ttimestamp\x18\x01 \x01(\x07\x12\x12\n\nmachine_id\x18\x02 \x01(\x05\x12\x11\n\tflight_id\x18\x03 \x01(\x07\x12\'\n\x08position\x18\x04 \x01(\x0b\x32\x15.GavronTelem.Position\"A\n\x16\x44roneMonitoringMessage\x12\x11\n\tcamera_on\x18\x01 \x01(\x08\x12\x14\n\x0c\x62\x61ttery_left\x18\x02 \x01(\x05\"\xac\x02\n\x12SaeDropDataMessage\x12\x19\n\x11\x63\x61rgo_drop_manual\x18\x01 \x01(\x08\x12\x17\n\x0f\x63\x61rgo_drop_auto\x18\x02 \x01(\x08\x12\x1b\n\x13gliders_drop_manual\x18\x03 \x01(\x08\x12\x19\n\x11gliders_drop_auto\x18\x04 \x01(\x08\x12\x12\n\ntarget_lat\x18\x05 \x01(\x02\x12\x12\n\ntarget_lng\x18\x06 \x01(\x02\x12\x1a\n\x12predicted_drop_lat\x18\x07 \x01(\x02\x12\x1a\n\x12predicted_drop_lng\x18\x08 \x01(\x02\x12\x1a\n\x12\x64istance_to_target\x18\t \x01(\x02\x12\x15\n\rcargo_dropped\x18\n \x01(\x08\x12\x17\n\x0fgliders_dropped\x18\x0b \x01(\x08\"\x95\x01\n\x1e\x44roniadaObjectDetectionMessage\x12\x12\n\nobject_lat\x18\x01 \x01(\x02\x12\x12\n\nobject_lng\x18\x02 \x01(\x02\x12\x10\n\x08object_x\x18\x03 \x01(\x02\x12\x10\n\x08object_y\x18\x04 \x01(\x02\x12\x11\n\tobject_id\x18\x05 \x01(\x05\x12\x14\n\x0cobject_class\x18\x06 \x01(\x05\"\xb8\x02\n\x10GavronTelemFrame\x12\x33\n\x06header\x18\x01 \x01(\x0b\x32#.GavronTelem.GavronTelemFrameHeader\x12G\n\x18\x64rone_monitoring_message\x18\x02 \x01(\x0b\x32#.GavronTelem.DroneMonitoringMessageH\x00\x12@\n\x15sae_drop_data_message\x18\x03 \x01(\x0b\x32\x1f.GavronTelem.SaeDropDataMessageH\x00\x12X\n!droniada_object_detection_message\x18\x04 \x01(\x0b\x32+.GavronTelem.DroniadaObjectDetectionMessageH\x00\x42\n\n\x08messagesb\x06proto3'
)




_POSITION = _descriptor.Descriptor(
  name='Position',
  full_name='GavronTelem.Position',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='lat', full_name='GavronTelem.Position.lat', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='lng', full_name='GavronTelem.Position.lng', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='alt', full_name='GavronTelem.Position.alt', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='heading', full_name='GavronTelem.Position.heading', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=34,
  serialized_end=100,
)


_GAVRONTELEMFRAMEHEADER = _descriptor.Descriptor(
  name='GavronTelemFrameHeader',
  full_name='GavronTelem.GavronTelemFrameHeader',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='timestamp', full_name='GavronTelem.GavronTelemFrameHeader.timestamp', index=0,
      number=1, type=7, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='machine_id', full_name='GavronTelem.GavronTelemFrameHeader.machine_id', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='flight_id', full_name='GavronTelem.GavronTelemFrameHeader.flight_id', index=2,
      number=3, type=7, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='position', full_name='GavronTelem.GavronTelemFrameHeader.position', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=102,
  serialized_end=225,
)


_DRONEMONITORINGMESSAGE = _descriptor.Descriptor(
  name='DroneMonitoringMessage',
  full_name='GavronTelem.DroneMonitoringMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='camera_on', full_name='GavronTelem.DroneMonitoringMessage.camera_on', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='battery_left', full_name='GavronTelem.DroneMonitoringMessage.battery_left', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=227,
  serialized_end=292,
)


_SAEDROPDATAMESSAGE = _descriptor.Descriptor(
  name='SaeDropDataMessage',
  full_name='GavronTelem.SaeDropDataMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='cargo_drop_manual', full_name='GavronTelem.SaeDropDataMessage.cargo_drop_manual', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cargo_drop_auto', full_name='GavronTelem.SaeDropDataMessage.cargo_drop_auto', index=1,
      number=2, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gliders_drop_manual', full_name='GavronTelem.SaeDropDataMessage.gliders_drop_manual', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gliders_drop_auto', full_name='GavronTelem.SaeDropDataMessage.gliders_drop_auto', index=3,
      number=4, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='target_lat', full_name='GavronTelem.SaeDropDataMessage.target_lat', index=4,
      number=5, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='target_lng', full_name='GavronTelem.SaeDropDataMessage.target_lng', index=5,
      number=6, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='predicted_drop_lat', full_name='GavronTelem.SaeDropDataMessage.predicted_drop_lat', index=6,
      number=7, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='predicted_drop_lng', full_name='GavronTelem.SaeDropDataMessage.predicted_drop_lng', index=7,
      number=8, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='distance_to_target', full_name='GavronTelem.SaeDropDataMessage.distance_to_target', index=8,
      number=9, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cargo_dropped', full_name='GavronTelem.SaeDropDataMessage.cargo_dropped', index=9,
      number=10, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gliders_dropped', full_name='GavronTelem.SaeDropDataMessage.gliders_dropped', index=10,
      number=11, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=295,
  serialized_end=595,
)


_DRONIADAOBJECTDETECTIONMESSAGE = _descriptor.Descriptor(
  name='DroniadaObjectDetectionMessage',
  full_name='GavronTelem.DroniadaObjectDetectionMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_lat', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_lat', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_lng', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_lng', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_x', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_x', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_y', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_y', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_id', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_id', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='object_class', full_name='GavronTelem.DroniadaObjectDetectionMessage.object_class', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=598,
  serialized_end=747,
)


_GAVRONTELEMFRAME = _descriptor.Descriptor(
  name='GavronTelemFrame',
  full_name='GavronTelem.GavronTelemFrame',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='header', full_name='GavronTelem.GavronTelemFrame.header', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='drone_monitoring_message', full_name='GavronTelem.GavronTelemFrame.drone_monitoring_message', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sae_drop_data_message', full_name='GavronTelem.GavronTelemFrame.sae_drop_data_message', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='droniada_object_detection_message', full_name='GavronTelem.GavronTelemFrame.droniada_object_detection_message', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='messages', full_name='GavronTelem.GavronTelemFrame.messages',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=750,
  serialized_end=1062,
)

_GAVRONTELEMFRAMEHEADER.fields_by_name['position'].message_type = _POSITION
_GAVRONTELEMFRAME.fields_by_name['header'].message_type = _GAVRONTELEMFRAMEHEADER
_GAVRONTELEMFRAME.fields_by_name['drone_monitoring_message'].message_type = _DRONEMONITORINGMESSAGE
_GAVRONTELEMFRAME.fields_by_name['sae_drop_data_message'].message_type = _SAEDROPDATAMESSAGE
_GAVRONTELEMFRAME.fields_by_name['droniada_object_detection_message'].message_type = _DRONIADAOBJECTDETECTIONMESSAGE
_GAVRONTELEMFRAME.oneofs_by_name['messages'].fields.append(
  _GAVRONTELEMFRAME.fields_by_name['drone_monitoring_message'])
_GAVRONTELEMFRAME.fields_by_name['drone_monitoring_message'].containing_oneof = _GAVRONTELEMFRAME.oneofs_by_name['messages']
_GAVRONTELEMFRAME.oneofs_by_name['messages'].fields.append(
  _GAVRONTELEMFRAME.fields_by_name['sae_drop_data_message'])
_GAVRONTELEMFRAME.fields_by_name['sae_drop_data_message'].containing_oneof = _GAVRONTELEMFRAME.oneofs_by_name['messages']
_GAVRONTELEMFRAME.oneofs_by_name['messages'].fields.append(
  _GAVRONTELEMFRAME.fields_by_name['droniada_object_detection_message'])
_GAVRONTELEMFRAME.fields_by_name['droniada_object_detection_message'].containing_oneof = _GAVRONTELEMFRAME.oneofs_by_name['messages']
DESCRIPTOR.message_types_by_name['Position'] = _POSITION
DESCRIPTOR.message_types_by_name['GavronTelemFrameHeader'] = _GAVRONTELEMFRAMEHEADER
DESCRIPTOR.message_types_by_name['DroneMonitoringMessage'] = _DRONEMONITORINGMESSAGE
DESCRIPTOR.message_types_by_name['SaeDropDataMessage'] = _SAEDROPDATAMESSAGE
DESCRIPTOR.message_types_by_name['DroniadaObjectDetectionMessage'] = _DRONIADAOBJECTDETECTIONMESSAGE
DESCRIPTOR.message_types_by_name['GavronTelemFrame'] = _GAVRONTELEMFRAME
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Position = _reflection.GeneratedProtocolMessageType('Position', (_message.Message,), {
  'DESCRIPTOR' : _POSITION,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.Position)
  })
_sym_db.RegisterMessage(Position)

GavronTelemFrameHeader = _reflection.GeneratedProtocolMessageType('GavronTelemFrameHeader', (_message.Message,), {
  'DESCRIPTOR' : _GAVRONTELEMFRAMEHEADER,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.GavronTelemFrameHeader)
  })
_sym_db.RegisterMessage(GavronTelemFrameHeader)

DroneMonitoringMessage = _reflection.GeneratedProtocolMessageType('DroneMonitoringMessage', (_message.Message,), {
  'DESCRIPTOR' : _DRONEMONITORINGMESSAGE,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.DroneMonitoringMessage)
  })
_sym_db.RegisterMessage(DroneMonitoringMessage)

SaeDropDataMessage = _reflection.GeneratedProtocolMessageType('SaeDropDataMessage', (_message.Message,), {
  'DESCRIPTOR' : _SAEDROPDATAMESSAGE,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.SaeDropDataMessage)
  })
_sym_db.RegisterMessage(SaeDropDataMessage)

DroniadaObjectDetectionMessage = _reflection.GeneratedProtocolMessageType('DroniadaObjectDetectionMessage', (_message.Message,), {
  'DESCRIPTOR' : _DRONIADAOBJECTDETECTIONMESSAGE,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.DroniadaObjectDetectionMessage)
  })
_sym_db.RegisterMessage(DroniadaObjectDetectionMessage)

GavronTelemFrame = _reflection.GeneratedProtocolMessageType('GavronTelemFrame', (_message.Message,), {
  'DESCRIPTOR' : _GAVRONTELEMFRAME,
  '__module__' : 'definitions_pb2'
  # @@protoc_insertion_point(class_scope:GavronTelem.GavronTelemFrame)
  })
_sym_db.RegisterMessage(GavronTelemFrame)


# @@protoc_insertion_point(module_scope)
